﻿<Window x:Class="MobyusTouch.DialogWorklistAddParam"
		xmlns="http://schemas.microsoft.com/winfx/2006/xaml/presentation"
		xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml"
		Title="Add Worklist Parameter" Height="437" Width="760" ShowInTaskbar="true"  WindowStartupLocation="CenterScreen"  ResizeMode="NoResize">


    <Window.Resources>
        <DropShadowEffect x:Key="DropShadowEffect" ShadowDepth="1" Direction="-90" BlurRadius="3" />
        <Style TargetType="Label">
            <Setter Property="FontSize" Value="22"/>
            <Setter Property="Label.Effect" Value="{StaticResource DropShadowEffect}"/>
        </Style>
        <LinearGradientBrush x:Key="SteelBackground" EndPoint="0.5,1.272" StartPoint="0.5,0">
            <GradientStop Color="#FF9097A3" Offset="0"/>
            <GradientStop Color="#FF444D5B" Offset="1"/>
        </LinearGradientBrush>

        <Style TargetType="Button">
            <EventSetter Event="Click" Handler="button_Click" />
            <Setter Property="Margin" Value="4"/>
            <Setter Property="Button.Effect" Value="{StaticResource DropShadowEffect}"/>
            <Setter Property="FontSize" Value="22"/>
            <Setter Property="Background" Value="WhiteSmoke"/>
            <Setter Property="RenderTransform">
                <Setter.Value>
                    <RotateTransform Angle="0.00000000001"/>
                </Setter.Value>
            </Setter>
        </Style>

        <!-- 
        <Style TargetType="Button" x:Key="BtnTRANSFER">
            <EventSetter Event="PreviewMouseLeftButtonDown" Handler="BtnDownTRANSFER" />
            <EventSetter Event="PreviewMouseLeftButtonUp" Handler="BtnUpTRANSFER" />
            <Setter Property="Margin" Value="4"/>
            <Setter Property="Button.Effect" Value="{StaticResource DropShadowEffect}"/>
            <Setter Property="FontSize" Value="22"/>
            <Setter Property="Background" Value="WhiteSmoke"/>
            <Setter Property="RenderTransform">
                <Setter.Value>
                    <RotateTransform Angle="0.00000000001"/>
                </Setter.Value>
            </Setter>
        </Style>
        -->

        <Style x:Key="RadioButtonStyle" TargetType="RadioButton">
            <Setter Property="SnapsToDevicePixels" Value="true" />
            <Setter Property="OverridesDefaultStyle" Value="true" />
            <Setter Property="BorderThickness" Value="1" />
            <Setter Property="Height" Value="10" />
            <Setter Property="Margin" Value="5" />
            <Setter Property="FocusVisualStyle" Value="{x:Null}" />
            <Setter Property="Template">
                <Setter.Value>
                    <ControlTemplate TargetType="RadioButton">
                        <BulletDecorator Margin="-5">
                            <BulletDecorator.Bullet>
                                <Grid Margin="1,10,-23,-27">
                                    <Ellipse Name="EllipseMain" Grid.Column="0"
                                             Grid.ColumnSpan="3"
                                             Grid.Row="0"
                                             Grid.RowSpan="3"
                                             Fill="Transparent"
                                             StrokeThickness="2"
                                             Stroke="LightGray" />
                                    <Ellipse Name="CheckMark"
                                             Grid.Column="1"
                                             Grid.Row="1"
                                             Opacity="1"
                                             Fill="#FF4EB3EE"
                                             Margin="6"
                                             Width="Auto" />
                                </Grid>
                            </BulletDecorator.Bullet>
                            <VisualStateManager.VisualStateGroups>
                                <VisualStateGroup x:Name="CommonStates">
                                    <VisualState x:Name="Disabled">
                                        <Storyboard>
                                            <DoubleAnimation Storyboard.TargetName="CheckMark"
                                                             Storyboard.TargetProperty="Opacity"
                                                             Duration="0:0:0.3"
                                                             To="6" />
                                            <ColorAnimation Storyboard.TargetName="EllipseMain"
                                                            Storyboard.TargetProperty="(Ellipse.Stroke).(SolidColorBrush.Color)"
                                                            To="#FF4EB3EE"
                                                            Duration="0:0:0.3" />
                                        </Storyboard>
                                    </VisualState>
                                </VisualStateGroup>
                                <VisualStateGroup x:Name="CheckStates">
                                    <VisualState x:Name="Checked">
                                        <Storyboard>
                                            <ThicknessAnimation Storyboard.TargetName="CheckMark"
                                                                Storyboard.TargetProperty="Margin"
                                                                Duration="0:0:0.2"
                                                                To="6" />
                                        </Storyboard>
                                    </VisualState>
                                    <VisualState x:Name="Unchecked">
                                        <Storyboard>
                                            <ThicknessAnimation Storyboard.TargetName="CheckMark"
                                                                Storyboard.TargetProperty="Margin"
                                                                Duration="0:0:0.2"
                                                                To="11" />
                                            <ColorAnimation Storyboard.TargetName="EllipseMain"
                                                            Storyboard.TargetProperty="(Ellipse.Stroke).(SolidColorBrush.Color)"
                                                            To="LightGray"
                                                            Duration="0:0:0.3" />
                                        </Storyboard>
                                    </VisualState>
                                    <VisualState x:Name="Indeterminate">
                                        <Storyboard>
                                            <ThicknessAnimation Storyboard.TargetName="CheckMark"
                                                                Storyboard.TargetProperty="Margin"
                                                                Duration="0:0:0.3"
                                                                To="6" />
                                            <ColorAnimation Storyboard.TargetName="EllipseMain"
                                                            Storyboard.TargetProperty="(Ellipse.Stroke).(SolidColorBrush.Color)"
                                                            To="#FF4EB3EE"
                                                            Duration="0:0:0.3" />
                                        </Storyboard>
                                    </VisualState>
                                </VisualStateGroup>
                            </VisualStateManager.VisualStateGroups>
                            <ContentPresenter Margin="13,7,0,7"
                                              HorizontalAlignment="Left"
                                              VerticalAlignment="Center"
                                              RecognizesAccessKey="True"
                                              Width="295" />
                        </BulletDecorator>
                        <ControlTemplate.Triggers>
                            <Trigger Property="IsFocused"
                                     Value="True">
                                <Setter TargetName="EllipseMain"
                                        Property="Stroke"
                                        Value="#FF4EB3EE" />
                            </Trigger>
                            <Trigger Property="IsFocused"
                                     Value="False">
                                <Setter TargetName="EllipseMain"
                                        Property="Stroke"
                                        Value="#FF4EB3EE" />
                            </Trigger>
                        </ControlTemplate.Triggers>
                    </ControlTemplate>
                </Setter.Value>
            </Setter>
        </Style>


    </Window.Resources>
    <Grid Background="{DynamicResource {x:Static SystemColors.ControlLightBrushKey}}" Margin="-3,0,-1,0" Height="431" VerticalAlignment="Bottom">

        <Button Content="OK" CommandParameter="OK" Margin="140,354,391,9" BorderBrush="Black" RenderTransformOrigin="1.551,0.606" FontSize="18"/>
        <Button Content="Cancel" CommandParameter="Cancel" Margin="389,354,140,9" BorderBrush="Black" RenderTransformOrigin="1.551,0.606" FontSize="18"/>

        <TabControl Height="294" Margin="0,0,33,97" VerticalAlignment="Bottom" HorizontalAlignment="Right" Width="694">
            <TabItem Header=" Worklist " FontSize="16" FontWeight="Bold">
                <Grid Background="White">
                    <GroupBox Header="Add" Margin="22,13,40,10" FontSize="18" FontWeight="Bold" BorderBrush="Black" Grid.ColumnSpan="2">
                        <Grid Background="{DynamicResource {x:Static SystemColors.ControlLightBrushKey}}" Margin="5,5,5,5" HorizontalAlignment="Right" Width="605">

                            <Label Content="NAME" FontSize="14" Margin="75,18,0,0" FontWeight="Normal" HorizontalAlignment="Left" Width="113" BorderThickness="2" Height="32" VerticalAlignment="Top"/>

                            <ComboBox Name="cbWL_PR_NAME"  SelectionChanged="cbWL_PR_NAME_SelectionChanged"  FontSize="14" BorderThickness="3" Height="35" Margin="159,16,53,146" Background="Ivory" BorderBrush="#FF0E0E0E" >
                                <ComboBox.ItemContainerStyle>
                                    <Style TargetType="ComboBoxItem">
                                        <Setter Property="Background" Value="Ivory"/>
                                        <Setter Property="BorderBrush">
                                            <Setter.Value>
                                                <LinearGradientBrush EndPoint="0.5,1" StartPoint="0.5,0">
                                                    <GradientStop Color="Black" Offset="0"/>
                                                    <GradientStop Color="#FF0E0E0E" Offset="1"/>
                                                </LinearGradientBrush>
                                            </Setter.Value>
                                        </Setter>
                                    </Style>
                                </ComboBox.ItemContainerStyle>
                                <ComboBoxItem Content="[MOVE]1ST_PATH_PLANNING"/>
                                <ComboBoxItem Content="[MOVE]2ND_PATH_PLANNING"/>
                                <ComboBoxItem Content="[MOVE]PATH_SENDING"/>
                                <ComboBoxItem Content="[MOVE]FROM_STATION"/>
                                <ComboBoxItem Content="[MOVE]TO_STATION"/>
                                <ComboBoxItem Content="[MOVE]COMPLETE"/>
                                <ComboBoxItem Content="[MOVE]END"/>
                                <ComboBoxItem Content="[FORK]MOVER"/>
                                <ComboBoxItem Content="[FORK]LIFTING"/>
                                <ComboBoxItem Content="[FORK]TILTING"/>
                                <ComboBoxItem Content="[FORK]SIDESHIFT"/>
                                <ComboBoxItem Content="[PALLETE]FRONT_ENABLE"/>
                                <ComboBoxItem Content="[PALLETE]FRONT_DISABLE"/>
                                <ComboBoxItem Content="[PALLETE]STACKING_ENABLE"/>
                                <ComboBoxItem Content="[PALLETE]STACKING_DISABLE"/>
                                <ComboBoxItem Content="[PALLETE]HEIGHT_ENABLE"/>
                                <ComboBoxItem Content="[PALLETE]HEIGHT_DISABLE"/>

                            </ComboBox>


                            <Label Content="VALUE" FontSize="14" Margin="75,61,0,0" FontWeight="Normal" HorizontalAlignment="Left" Width="113" BorderThickness="2" Height="32" VerticalAlignment="Top"/>
                            <Button x:Name="WL_PR_VALUE" Content="0" CommandParameter="WL_PR_VALUE"  Margin="160,60,0,0"  HorizontalAlignment="Left" Height="35"  VerticalAlignment="Top" Width="138" BorderThickness="3" Background="Ivory"  FontSize="14"/>

                            <Label Content="SLEEP" FontSize="14" Margin="75,108,0,0" FontWeight="Normal" HorizontalAlignment="Left" Width="113" BorderThickness="2" Height="32" VerticalAlignment="Top"/>
                            <Button x:Name="WL_PR_SLEEP" Content="0" CommandParameter="WL_PR_SLEEP"  Margin="160,106,0,0"  HorizontalAlignment="Left" Height="35"  VerticalAlignment="Top" Width="138" BorderThickness="3" Background="Ivory"  FontSize="14"/>

                            <Label Content="SYNC" FontSize="14" Margin="75,154,0,0" FontWeight="Normal" HorizontalAlignment="Left" Width="113" BorderThickness="2" Height="32" VerticalAlignment="Top"/>
                            <ComboBox Name="cbWL_PR_SYNC"  SelectionChanged="cbWL_PR_SYNC_SelectionChanged"  FontSize="14" BorderThickness="3" Height="35" Margin="160,152,310,0" Background="Ivory" BorderBrush="#FF0E0E0E" SelectedIndex="0" >
                                <ComboBox.ItemContainerStyle>
                                    <Style TargetType="ComboBoxItem">
                                        <Setter Property="Background" Value="Ivory"/>
                                        <Setter Property="BorderBrush">
                                            <Setter.Value>
                                                <LinearGradientBrush EndPoint="0.5,1" StartPoint="0.5,0">
                                                    <GradientStop Color="Black" Offset="0"/>
                                                    <GradientStop Color="#FF0E0E0E" Offset="1"/>
                                                </LinearGradientBrush>
                                            </Setter.Value>
                                        </Setter>
                                    </Style>
                                </ComboBox.ItemContainerStyle>
                                <ComboBoxItem Content="TRUE"/>
                                <ComboBoxItem Content="FALSE"/>
                                

                            </ComboBox>
                            

                        </Grid>
                    </GroupBox>
                </Grid>
            </TabItem>


        </TabControl>
    </Grid>
</Window>
